# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.10

# Delete rule output on recipe failure.
.DELETE_ON_ERROR:


#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:


# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list


# Suppress display of executed commands.
$(VERBOSE).SILENT:


# A target that is always out of date.
cmake_force:

.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /opt/anaconda1anaconda2anaconda3/bin/cmake

# The command to remove a file.
RM = /opt/anaconda1anaconda2anaconda3/bin/cmake -E remove -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /opt/conda/conda-bld/bam-readcount_1518538573613/work/bam-readcount-0.8.0

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /opt/anaconda1anaconda2anaconda3

# Include any dependencies generated for this target.
include build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/depend.make

# Include the progress variables for this target.
include build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/progress.make

# Include the compile flags for this target's objects.
include build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/flags.make

build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/TestAuxFields.cpp.o: build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/flags.make
build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/TestAuxFields.cpp.o: /opt/conda/conda-bld/bam-readcount_1518538573613/work/bam-readcount-0.8.0/test/lib/bamrc/TestAuxFields.cpp
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green --progress-dir=/opt/anaconda1anaconda2anaconda3/CMakeFiles --progress-num=$(CMAKE_PROGRESS_1) "Building CXX object build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/TestAuxFields.cpp.o"
	cd /opt/anaconda1anaconda2anaconda3/build/test/lib/bamrc && /opt/anaconda1anaconda2anaconda3/bin/c++  $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -o CMakeFiles/TestBamrcLib.dir/TestAuxFields.cpp.o -c /opt/conda/conda-bld/bam-readcount_1518538573613/work/bam-readcount-0.8.0/test/lib/bamrc/TestAuxFields.cpp

build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/TestAuxFields.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing CXX source to CMakeFiles/TestBamrcLib.dir/TestAuxFields.cpp.i"
	cd /opt/anaconda1anaconda2anaconda3/build/test/lib/bamrc && /opt/anaconda1anaconda2anaconda3/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /opt/conda/conda-bld/bam-readcount_1518538573613/work/bam-readcount-0.8.0/test/lib/bamrc/TestAuxFields.cpp > CMakeFiles/TestBamrcLib.dir/TestAuxFields.cpp.i

build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/TestAuxFields.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling CXX source to assembly CMakeFiles/TestBamrcLib.dir/TestAuxFields.cpp.s"
	cd /opt/anaconda1anaconda2anaconda3/build/test/lib/bamrc && /opt/anaconda1anaconda2anaconda3/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /opt/conda/conda-bld/bam-readcount_1518538573613/work/bam-readcount-0.8.0/test/lib/bamrc/TestAuxFields.cpp -o CMakeFiles/TestBamrcLib.dir/TestAuxFields.cpp.s

build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/TestAuxFields.cpp.o.requires:

.PHONY : build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/TestAuxFields.cpp.o.requires

build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/TestAuxFields.cpp.o.provides: build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/TestAuxFields.cpp.o.requires
	$(MAKE) -f build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/build.make build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/TestAuxFields.cpp.o.provides.build
.PHONY : build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/TestAuxFields.cpp.o.provides

build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/TestAuxFields.cpp.o.provides.build: build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/TestAuxFields.cpp.o


build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/TestReadWarnings.cpp.o: build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/flags.make
build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/TestReadWarnings.cpp.o: /opt/conda/conda-bld/bam-readcount_1518538573613/work/bam-readcount-0.8.0/test/lib/bamrc/TestReadWarnings.cpp
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green --progress-dir=/opt/anaconda1anaconda2anaconda3/CMakeFiles --progress-num=$(CMAKE_PROGRESS_2) "Building CXX object build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/TestReadWarnings.cpp.o"
	cd /opt/anaconda1anaconda2anaconda3/build/test/lib/bamrc && /opt/anaconda1anaconda2anaconda3/bin/c++  $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -o CMakeFiles/TestBamrcLib.dir/TestReadWarnings.cpp.o -c /opt/conda/conda-bld/bam-readcount_1518538573613/work/bam-readcount-0.8.0/test/lib/bamrc/TestReadWarnings.cpp

build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/TestReadWarnings.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing CXX source to CMakeFiles/TestBamrcLib.dir/TestReadWarnings.cpp.i"
	cd /opt/anaconda1anaconda2anaconda3/build/test/lib/bamrc && /opt/anaconda1anaconda2anaconda3/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /opt/conda/conda-bld/bam-readcount_1518538573613/work/bam-readcount-0.8.0/test/lib/bamrc/TestReadWarnings.cpp > CMakeFiles/TestBamrcLib.dir/TestReadWarnings.cpp.i

build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/TestReadWarnings.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling CXX source to assembly CMakeFiles/TestBamrcLib.dir/TestReadWarnings.cpp.s"
	cd /opt/anaconda1anaconda2anaconda3/build/test/lib/bamrc && /opt/anaconda1anaconda2anaconda3/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /opt/conda/conda-bld/bam-readcount_1518538573613/work/bam-readcount-0.8.0/test/lib/bamrc/TestReadWarnings.cpp -o CMakeFiles/TestBamrcLib.dir/TestReadWarnings.cpp.s

build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/TestReadWarnings.cpp.o.requires:

.PHONY : build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/TestReadWarnings.cpp.o.requires

build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/TestReadWarnings.cpp.o.provides: build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/TestReadWarnings.cpp.o.requires
	$(MAKE) -f build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/build.make build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/TestReadWarnings.cpp.o.provides.build
.PHONY : build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/TestReadWarnings.cpp.o.provides

build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/TestReadWarnings.cpp.o.provides.build: build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/TestReadWarnings.cpp.o


build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/TestIndelQueue.cpp.o: build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/flags.make
build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/TestIndelQueue.cpp.o: /opt/conda/conda-bld/bam-readcount_1518538573613/work/bam-readcount-0.8.0/test/lib/bamrc/TestIndelQueue.cpp
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green --progress-dir=/opt/anaconda1anaconda2anaconda3/CMakeFiles --progress-num=$(CMAKE_PROGRESS_3) "Building CXX object build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/TestIndelQueue.cpp.o"
	cd /opt/anaconda1anaconda2anaconda3/build/test/lib/bamrc && /opt/anaconda1anaconda2anaconda3/bin/c++  $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -o CMakeFiles/TestBamrcLib.dir/TestIndelQueue.cpp.o -c /opt/conda/conda-bld/bam-readcount_1518538573613/work/bam-readcount-0.8.0/test/lib/bamrc/TestIndelQueue.cpp

build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/TestIndelQueue.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing CXX source to CMakeFiles/TestBamrcLib.dir/TestIndelQueue.cpp.i"
	cd /opt/anaconda1anaconda2anaconda3/build/test/lib/bamrc && /opt/anaconda1anaconda2anaconda3/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /opt/conda/conda-bld/bam-readcount_1518538573613/work/bam-readcount-0.8.0/test/lib/bamrc/TestIndelQueue.cpp > CMakeFiles/TestBamrcLib.dir/TestIndelQueue.cpp.i

build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/TestIndelQueue.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling CXX source to assembly CMakeFiles/TestBamrcLib.dir/TestIndelQueue.cpp.s"
	cd /opt/anaconda1anaconda2anaconda3/build/test/lib/bamrc && /opt/anaconda1anaconda2anaconda3/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /opt/conda/conda-bld/bam-readcount_1518538573613/work/bam-readcount-0.8.0/test/lib/bamrc/TestIndelQueue.cpp -o CMakeFiles/TestBamrcLib.dir/TestIndelQueue.cpp.s

build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/TestIndelQueue.cpp.o.requires:

.PHONY : build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/TestIndelQueue.cpp.o.requires

build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/TestIndelQueue.cpp.o.provides: build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/TestIndelQueue.cpp.o.requires
	$(MAKE) -f build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/build.make build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/TestIndelQueue.cpp.o.provides.build
.PHONY : build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/TestIndelQueue.cpp.o.provides

build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/TestIndelQueue.cpp.o.provides.build: build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/TestIndelQueue.cpp.o


build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/TestIndelQueueEntry.cpp.o: build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/flags.make
build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/TestIndelQueueEntry.cpp.o: /opt/conda/conda-bld/bam-readcount_1518538573613/work/bam-readcount-0.8.0/test/lib/bamrc/TestIndelQueueEntry.cpp
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green --progress-dir=/opt/anaconda1anaconda2anaconda3/CMakeFiles --progress-num=$(CMAKE_PROGRESS_4) "Building CXX object build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/TestIndelQueueEntry.cpp.o"
	cd /opt/anaconda1anaconda2anaconda3/build/test/lib/bamrc && /opt/anaconda1anaconda2anaconda3/bin/c++  $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -o CMakeFiles/TestBamrcLib.dir/TestIndelQueueEntry.cpp.o -c /opt/conda/conda-bld/bam-readcount_1518538573613/work/bam-readcount-0.8.0/test/lib/bamrc/TestIndelQueueEntry.cpp

build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/TestIndelQueueEntry.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing CXX source to CMakeFiles/TestBamrcLib.dir/TestIndelQueueEntry.cpp.i"
	cd /opt/anaconda1anaconda2anaconda3/build/test/lib/bamrc && /opt/anaconda1anaconda2anaconda3/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /opt/conda/conda-bld/bam-readcount_1518538573613/work/bam-readcount-0.8.0/test/lib/bamrc/TestIndelQueueEntry.cpp > CMakeFiles/TestBamrcLib.dir/TestIndelQueueEntry.cpp.i

build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/TestIndelQueueEntry.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling CXX source to assembly CMakeFiles/TestBamrcLib.dir/TestIndelQueueEntry.cpp.s"
	cd /opt/anaconda1anaconda2anaconda3/build/test/lib/bamrc && /opt/anaconda1anaconda2anaconda3/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /opt/conda/conda-bld/bam-readcount_1518538573613/work/bam-readcount-0.8.0/test/lib/bamrc/TestIndelQueueEntry.cpp -o CMakeFiles/TestBamrcLib.dir/TestIndelQueueEntry.cpp.s

build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/TestIndelQueueEntry.cpp.o.requires:

.PHONY : build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/TestIndelQueueEntry.cpp.o.requires

build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/TestIndelQueueEntry.cpp.o.provides: build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/TestIndelQueueEntry.cpp.o.requires
	$(MAKE) -f build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/build.make build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/TestIndelQueueEntry.cpp.o.provides.build
.PHONY : build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/TestIndelQueueEntry.cpp.o.provides

build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/TestIndelQueueEntry.cpp.o.provides.build: build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/TestIndelQueueEntry.cpp.o


# Object files for target TestBamrcLib
TestBamrcLib_OBJECTS = \
"CMakeFiles/TestBamrcLib.dir/TestAuxFields.cpp.o" \
"CMakeFiles/TestBamrcLib.dir/TestReadWarnings.cpp.o" \
"CMakeFiles/TestBamrcLib.dir/TestIndelQueue.cpp.o" \
"CMakeFiles/TestBamrcLib.dir/TestIndelQueueEntry.cpp.o"

# External object files for target TestBamrcLib
TestBamrcLib_EXTERNAL_OBJECTS =

test-bin/TestBamrcLib: build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/TestAuxFields.cpp.o
test-bin/TestBamrcLib: build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/TestReadWarnings.cpp.o
test-bin/TestBamrcLib: build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/TestIndelQueue.cpp.o
test-bin/TestBamrcLib: build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/TestIndelQueueEntry.cpp.o
test-bin/TestBamrcLib: build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/build.make
test-bin/TestBamrcLib: build/src/lib/bamrc/libbamrc.a
test-bin/TestBamrcLib: vendor/gtest160-build/libgtest.a
test-bin/TestBamrcLib: vendor/gtest160-build/libgtest_main.a
test-bin/TestBamrcLib: vendor/boost/lib/libboost_program_options.a
test-bin/TestBamrcLib: vendor/boost/lib/libboost_regex.a
test-bin/TestBamrcLib: vendor/samtools/libbam.a
test-bin/TestBamrcLib: lib/libz.so
test-bin/TestBamrcLib: build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/link.txt
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green --bold --progress-dir=/opt/anaconda1anaconda2anaconda3/CMakeFiles --progress-num=$(CMAKE_PROGRESS_5) "Linking CXX executable ../../../../test-bin/TestBamrcLib"
	cd /opt/anaconda1anaconda2anaconda3/build/test/lib/bamrc && $(CMAKE_COMMAND) -E cmake_link_script CMakeFiles/TestBamrcLib.dir/link.txt --verbose=$(VERBOSE)

# Rule to build all files generated by this target.
build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/build: test-bin/TestBamrcLib

.PHONY : build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/build

build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/requires: build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/TestAuxFields.cpp.o.requires
build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/requires: build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/TestReadWarnings.cpp.o.requires
build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/requires: build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/TestIndelQueue.cpp.o.requires
build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/requires: build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/TestIndelQueueEntry.cpp.o.requires

.PHONY : build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/requires

build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/clean:
	cd /opt/anaconda1anaconda2anaconda3/build/test/lib/bamrc && $(CMAKE_COMMAND) -P CMakeFiles/TestBamrcLib.dir/cmake_clean.cmake
.PHONY : build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/clean

build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/depend:
	cd /opt/anaconda1anaconda2anaconda3 && $(CMAKE_COMMAND) -E cmake_depends "Unix Makefiles" /opt/conda/conda-bld/bam-readcount_1518538573613/work/bam-readcount-0.8.0 /opt/conda/conda-bld/bam-readcount_1518538573613/work/bam-readcount-0.8.0/test/lib/bamrc /opt/anaconda1anaconda2anaconda3 /opt/anaconda1anaconda2anaconda3/build/test/lib/bamrc /opt/anaconda1anaconda2anaconda3/build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/DependInfo.cmake --color=$(COLOR)
.PHONY : build/test/lib/bamrc/CMakeFiles/TestBamrcLib.dir/depend

